package de.joethei.monopoly.fields;

import de.joethei.monopoly.Monopoly;
import de.joethei.monopoly.Player;
import de.joethei.monopoly.action.Action;
import de.joethei.monopoly.action.ActionType;

public class Jail extends Field {

    public Jail() {
        super("Gefängnis");
        getActions().add(new Action("eingebuchtet", this, ActionType.REQUIRED) {
            @Override
            public void execute(Player player) {
                Monopoly.getPlayersInJail().put(player, 3);
            }
        });
    }
}
