package de.joethei.monopoly;

import java.util.LinkedList;

public class CircularLinkedList<E> extends LinkedList<E> {

    @Override
    public E get(int index) {
        while (index >= size()) {
            index = index - size();
        }
        return super.get(index);
    }
}
