package de.joethei.monopoly.colors;

public enum BackgroundBrightColor implements ConsoleColor{

    BLACK("\033[0;100m"),
    RED("\033[0;101m"),
    GREEN("\033[0;102m"),
    YELLOW("\033[0;103m"),
    BLUE("\033[0;104m"),
    PURPLE("\033[0;105m"),
    CYAN("\033[0;106m"),
    WHITE("\033[0;107m");

    private String colorCode;

    BackgroundBrightColor(String colorCode) {
        this.colorCode = colorCode;
    }

    @Override
    public String getColorCode() {
        return colorCode;
    }
}